

Patch from: steve cameron <steve.cameron@hp.com>

For the cciss driver:
This patch makes scsi commands to tape drives have no timeouts.
Previously the timeout was 1000 seconds, too short, and nothing good
happens when the timeout expires.  Better to have no timeout.
e.g. mt -f /dev/st0 erase may take about 2 hours 30 min on AIT 100.



 drivers/block/cciss_scsi.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/cciss_scsi.c~cciss-7 drivers/block/cciss_scsi.c
--- 25/drivers/block/cciss_scsi.c~cciss-7	Wed Feb 12 12:12:52 2003
+++ 25-akpm/drivers/block/cciss_scsi.c	Wed Feb 12 12:12:52 2003
@@ -913,7 +913,7 @@ cciss_scsi_do_simple_cmd(ctlr_info_t *c,
 
 	memset(cp->Request.CDB, 0, sizeof(cp->Request.CDB));
 	memcpy(cp->Request.CDB, cdb, cdblen);
-	cp->Request.Timeout = 1000;		// guarantee completion. 
+	cp->Request.Timeout = 0;
 	cp->Request.CDBLen = cdblen;
 	cp->Request.Type.Type = TYPE_CMD;
 	cp->Request.Type.Attribute = ATTR_SIMPLE;
@@ -1427,7 +1427,7 @@ cciss_scsi_queue_command (Scsi_Cmnd *cmd
 	
 	// Fill in the request block...
 
-	cp->Request.Timeout = 1000; // guarantee completion
+	cp->Request.Timeout = 0;
 	memset(cp->Request.CDB, 0, sizeof(cp->Request.CDB));
 	if (cmd->cmd_len > sizeof(cp->Request.CDB)) BUG();
 	cp->Request.CDBLen = cmd->cmd_len;

_
